/*
 * ============================================================================
 * (C) Copyright IBM Corporation 2006, 2007, 2008.  All Rights Reserved.
 * 
 * You may only copy, modify, and distribute these samples internally.
 * These samples have not been tested under all conditions and are provided
 * to you by IBM without obligation of support of any kind.
 *
 * IBM PROVIDES THESE SAMPLES "AS IS" SUBJECT TO ANY STATUTORY WARRANTIES THAT
 * CANNOT BE EXCLUDED. IBM MAKES NO WARRANTIES OR CONDITIONS, EITHER EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OR
 * CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
 * NON-INFRINGEMENT REGARDING THESE SAMPLES OR TECHNICAL SUPPORT, IF ANY.
 * ============================================================================
 */

 import zero.atom.Atom
 
def onGET() {
	
	// set up new data
	def george = [:]
	george.name = "George"
	george.email = "me@george.net"
	
    def george_title = [:]
	george_title.value = "George's Custom Feed of the Biographies"
	
    def george_link = [:]
    george_link.href = "http://localhost:8080/george"

    def george_comment = [:]
    george_comment.value = "<em><big>George</big></em> recommends this book." 
    george_comment.type = "html"
    
    // get the feed 
	def feed = [:]
    feed = Atom.decode ("http://localhost:8080/resources/biographies", "feed", "biographies")
	
	// configure new feed elements
	def george_feed = [:]
	george_feed.title = george_title
	george_feed.subtitle = george_title
	george_feed.authors = [ george ]
	george_feed.links = [ george_link ]
	zput("/request/atom/feed",  george_feed)
    
	// add elements to entry elements
	def george_entry = [:]
	george_entry.contributors = [ george ] 
    zput("/request/atom/entry", george_entry )

	// alter data in entries
	def entries = []
	entries = feed.entries
	entries.each{ it.links +=  george_link }
	entries.each{ it.content =  george_comment }

	
    // render list of entries
    request.view='atom'
    request.atom.output =  entries
    render() 
        
}
